TQScintilla: TQextScintillaLexerProperties Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerProperties Class Reference

The TQextScintillaLexerProperties class encapsulates the Scintilla Properties lexer. More...

`#include <tqextscintillalexerproperties.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- Section = 2
- Assignment = 3
- DefaultValue = 4
- enum {
  Default = 0, Comment = 1, Section = 2,
  Assignment = 3, DefaultValue = 4
  }

## Public Slots

- virtual void setFoldCompact (bool fold)

## Public Member Functions

- TQextScintillaLexerProperties (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerProperties ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The TQextScintillaLexerProperties class encapsulates the Scintilla Properties lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Properties lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Section | A section.
  Assignment | An assignment operator.
  DefaultValue | A default value.

## Constructor & Destructor Documentation

TQextScintillaLexerProperties::TQextScintillaLexerProperties | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerProperties with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerProperties::~TQextScintillaLexerProperties | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerProperties instance.

## Member Function Documentation

const char* TQextScintillaLexerProperties::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerProperties::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerProperties::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerProperties::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexer.

TQFont TQextScintillaLexerProperties::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerProperties::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerProperties::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexer.

void TQextScintillaLexerProperties::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerProperties::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void TQextScintillaLexerProperties::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool TQextScintillaLexerProperties::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  writeProperties()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerProperties::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  readProperties()

Reimplemented from TQextScintillaLexer.